Index: src/Fragmentation/Summation/Containers/FragmentationChargeDensity.cpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationChargeDensity.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationChargeDensity.cpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -84,7 +84,4 @@
       fragmentData, MatrixNrLookup, container, subsetmap,
       Result_Grid_fused, Result_perIndexSet_Grid);
-  OrthogonalSumUpPerLevel<MPQCDataFragmentMap_t, MPQCData, MPQCDataFragmentVector_t>(
-      fragmentData, MatrixNrLookup, container, subsetmap,
-      Result_Fragment_fused, Result_perIndexSet_Fragment);
 }
 
@@ -100,7 +97,2 @@
   return full_sample;
 }
-
-const Fragment &FragmentationChargeDensity::getFragment()
-{
-  return boost::fusion::at_key<MPQCDataFused::fragment>(Result_Fragment_fused.back());
-}
Index: src/Fragmentation/Summation/Containers/FragmentationChargeDensity.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationChargeDensity.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationChargeDensity.hpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -48,15 +48,9 @@
   std::vector<SamplingGrid> getFullSampledGrid();
 
-  const Fragment &getFragment();
-
   //!> results per level of summed up sampled grid charge
   std::vector<MPQCDataGridMap_t> Result_Grid_fused;
-  //!> results per level of summed up fragment positions and charges
-  std::vector<MPQCDataFragmentMap_t> Result_Fragment_fused;
 
   //!> results per IndexSet of summed up sampled grid charge
   std::map<IndexSet::ptr, std::pair<MPQCDataGridMap_t, MPQCDataGridMap_t> > Result_perIndexSet_Grid;
-  //!> results per IndexSet of summed up fragment positions and charges
-  std::map<IndexSet::ptr, std::pair<MPQCDataFragmentMap_t, MPQCDataFragmentMap_t> > Result_perIndexSet_Fragment;
 
 private:
Index: src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.cpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.cpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -114,7 +114,4 @@
         fragmentData, MPQCMatrixNrLookup, container, subsetmap,
         Result_Grid_fused, Result_perIndexSet_Grid);
-    OrthogonalSumUpPerLevel<MPQCDataFragmentMap_t, MPQCData, MPQCDataFragmentVector_t>(
-        fragmentData, MPQCMatrixNrLookup, container, subsetmap,
-        Result_Fragment_fused, Result_perIndexSet_Fragment);
 
     // multiply each short-range potential with the respective charge
Index: src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationLongRangeResults.hpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -104,6 +104,4 @@
   //!> results per level of summed up sampled grid charge
   std::vector<MPQCDataGridMap_t> Result_Grid_fused;
-  //!> results per level of summed up fragment positions and charges
-  std::vector<MPQCDataFragmentMap_t> Result_Fragment_fused;
   //!> results per level of summed up long range potential grids and energy
   std::vector<VMGDataMap_t> Result_LongRange_fused;
@@ -113,6 +111,4 @@
   //!> results per IndexSet of summed up sampled grid charge
   std::map<IndexSet::ptr, std::pair<MPQCDataGridMap_t,MPQCDataGridMap_t> > Result_perIndexSet_Grid;
-  //!> results per IndexSet of summed up fragment positions and charges
-  std::map<IndexSet::ptr, std::pair<MPQCDataFragmentMap_t,MPQCDataFragmentMap_t> > Result_perIndexSet_Fragment;
   //!> results per IndexSet of summed up long range potential grids and energy
   std::map<IndexSet::ptr, std::pair<VMGDataMap_t, VMGDataMap_t> > Result_perIndexSet_LongRange;
Index: src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.cpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.cpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.cpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -100,4 +100,7 @@
         fragmentData, MPQCMatrixNrLookup, container, subsetmap,
         Result_Energy_fused, Result_perIndexSet_Energy);
+    OrthogonalSumUpPerLevel<MPQCDataFragmentMap_t, MPQCData, MPQCDataFragmentVector_t>(
+        fragmentData, MPQCMatrixNrLookup, container, subsetmap,
+        Result_Fragment_fused, Result_perIndexSet_Fragment);
     SumUpPerLevel<MPQCDataTimeMap_t, MPQCData, MPQCDataTimeVector_t>(
         fragmentData, MPQCMatrixNrLookup, container, subsetmap,
Index: src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.hpp
===================================================================
--- src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.hpp	(revision a2a2f74e1b5173a3e4d4090d8ec2a57e0f765552)
+++ src/Fragmentation/Summation/Containers/FragmentationShortRangeResults.hpp	(revision 5eaa23bd73ba44a21854e46c30abc8410b66a897)
@@ -97,4 +97,6 @@
   //!> results per level of summed up energy
   std::vector<MPQCDataEnergyMap_t> Result_Energy_fused;
+  //!> results per level of summed up fragment positions and charges
+  std::vector<MPQCDataFragmentMap_t> Result_Fragment_fused;
   //!> results per level of summed up times
   std::vector<MPQCDataTimeMap_t> Result_Time_fused;
@@ -104,4 +106,6 @@
   //!> results per IndexSet of summed up energy
   std::map<IndexSet::ptr, std::pair<MPQCDataEnergyMap_t,MPQCDataEnergyMap_t> > Result_perIndexSet_Energy;
+  //!> results per IndexSet of summed up fragment positions and charges
+  std::map<IndexSet::ptr, std::pair<MPQCDataFragmentMap_t,MPQCDataFragmentMap_t> > Result_perIndexSet_Fragment;
   //!> results per IndexSet of summed up times
   std::map<IndexSet::ptr, std::pair<MPQCDataTimeMap_t,MPQCDataTimeMap_t> > Result_perIndexSet_Time;
